var AllStyles = require('../AllStyles');

var ColorfulChrono = {
    case: {
        shape: AllStyles.shape.roundedCircle,
        bg: AllStyles.background.steel,
    },
    dial: {
        shape: AllStyles.shape.roundedCircle,
        bg: {
            color: AllStyles.background.greyFume,
            pattern: {
                type: 'randomTriangles',
                shapeCount: 33,
                colors: [
                    '#e3000f',
                    '#006b94'],
                opacity: .3
            }
        }
    },
    hands: {
        1: {
            type: 'hour',
            styles: {
                border: '1px black solid',
                color: '#94c11c',
                width: '30%',
                margin: '0 20%',
                height: '4px'
            }
        },
        2: {
            type: 'minute',
            styles: {
                color: '#e3000f',
                width: '40%',
                margin: '0 10%',
                height: '3px'
            }
        },
        3: {
            type: 'second',
            styles: {
                color: '#006b94'
            }
        }        
    },
    header: 'New York',
    index: {
        color: AllStyles.background.inverse,
        nodeCount: AllStyles.index.type.hour,
        customNode: {
            3: {
                display: AllStyles.display.none
            },
            9: {
                display: AllStyles.display.none
            },
            12: {
                display: AllStyles.display.none
            }
        }
    },
    grid: {
        2: {
            label: {
                color: AllStyles.color.white,
                font: AllStyles.font.monoton,
                text: 'ABC'
            }
        },
        4: {
            dial: {
                border: 'solid black 1px',
                shape: AllStyles.shape.roundedCircle,
                bg: {
                    color: AllStyles.background.faded,
                    pattern: {
                        type: 'burst',
                        opacity: .10
                    }
                }
            },
            index: {
                color: AllStyles.background.inverse,
                nodeCount: AllStyles.index.type.hour
            },
            hands: {
                1: {
                    styles: {
                        color: '#292b2c'
                    }
                }
            }
        },
        6: {
            dial: {
                border: 'solid black 1px',
                shape: AllStyles.shape.roundedCircle,
                bg: {
                    color: AllStyles.background.faded,
                    pattern: {
                        type: 'burst',
                        opacity: .10
                    }
                }
            },
            index: {
                color: AllStyles.background.inverse,
                nodeCount: AllStyles.index.type.hour
            },
            hands: {
                1: {
                    styles: {
                        color: '#292b2c'
                    }
                }
            }
        },
        8: {
            dial: {
                border: 'solid black 1px',
                shape: AllStyles.shape.roundedCircle,
                bg: {
                    color: AllStyles.background.faded,
                    pattern: {
                        type: 'burst',
                        opacity: .10
                    }
                }
            },
            index: {
                color: AllStyles.background.inverse,
                nodeCount: AllStyles.index.type.hour
            },
            hands: {
                1: {
                    styles: {
                        color: '#292b2c'
                    }
                }
            }
        }
    },
    timeZone: -4
}

module.exports = ColorfulChrono;