var AllStyles = require('../AllStyles');

var ColorfulChrono = {
    case: {
        shape: AllStyles.shape.roundedCircle,
        bg: AllStyles.background.steel,
    },
    dial: {
        shape: AllStyles.shape.roundedCircle,
        bg: {
            pattern: {
                type: 'burst',
                opacity: .15
            }
        }
    },
    hands: {
        1: {
            type: 'hour',
            styles: {
                color: '#292b2c',
                height: '4px',
                margin: '0 20%',
                width: '30%'
            }
        },
        2: {
            type: 'minute',
            styles: {
                color: '#292b2c',
                height: '3px'
            }
        }
    },
    header: 'Toronto',
    index: {
        color: AllStyles.background.inverse,
        nodeCount: AllStyles.index.type.hour,
        customNode: {
            2: {
                color: AllStyles.background.danger
            },
            3: {
                display: AllStyles.display.none
            },
            4: {
                color: AllStyles.background.danger
            },
            6: {
                display: AllStyles.display.none
            },
            8: {
                color: AllStyles.background.danger
            },
            9: {
                display: AllStyles.display.none
            },
            10: {
                color: AllStyles.background.danger
            },
            12: {
                display: AllStyles.display.none
            }
        }
    },
    grid: {
        2: {
            label: {
                color: AllStyles.color.gray,
                font: AllStyles.font.monoton,
                text: 'ABC'
            }
        },
        4: {
            dial: {
                border: 'solid #e3000f 1px',
                shape: AllStyles.shape.roundedCircle,
                bg: {
                    color: AllStyles.background.faded,
                    pattern: {
                        type: 'burst',
                        opacity: .10
                    }
                }
            },
            index: {
                color: AllStyles.background.inverse,
                nodeCount: AllStyles.index.type.hour
            },
            hands: {
                1: {
                    styles: {
                        color: '#292b2c'
                    }
                }
            }
        },
        6: {
            dial: {
                border: 'solid #e3000f 1px',
                shape: AllStyles.shape.roundedCircle,
                bg: {
                    color: AllStyles.background.faded,
                    pattern: {
                        type: 'burst',
                        opacity: .10
                    }
                }
            },
            index: {
                color: AllStyles.background.inverse,
                nodeCount: AllStyles.index.type.hour
            },
            hands: {
                1: {
                    type: 'second',
                    styles: {
                        color: '#292b2c'
                    }
                }
            }
        },
        8: {
            dial: {
                border: 'solid #e3000f 1px',
                shape: AllStyles.shape.roundedCircle,
                bg: {
                    color: AllStyles.background.faded,
                    pattern: {
                        type: 'burst',
                        opacity: .10
                    }
                }
            },
            index: {
                color: AllStyles.background.inverse,
                nodeCount: AllStyles.index.type.hour
            },
            hands: {
                1: {
                    styles: {
                        color: '#292b2c'
                    }
                }
            }
        }
    },
    timeZone: -4
}

module.exports = ColorfulChrono;