var AllStyles = require('../AllStyles');

var ColorfulChronoSquare = {
    case: {
        shape: AllStyles.shape.rounded,
        bg: AllStyles.background.steel,
    },
    dial: {
        shape: AllStyles.shape.rounded,
        bg: {
            pattern: {
                type: 'burst',
                colors: ['#006b94','#e3000f','#ffdd00','#b71a49'],
                opacity: .25
            }
        },
    },
    hands: {
        1: {
            type: 'hour',
            styles: {
                color: '#006b94',
                margin: '0 20%',
                width: '30%',
                height: '4px'
            }
        },
        2: {
            type: 'minute',
            styles: {
                color: '#292b2c'
            }
        }
    },
    header: 'Melbourne',
    index: {
        color: AllStyles.background.inverse,
        nodeCount: AllStyles.index.type.hour,
        customNode: {
            3: {
                display: AllStyles.display.none
            },
            6: {
                display: AllStyles.display.none
            },
            9: {
                display: AllStyles.display.none
            },
            12: {
                display: AllStyles.display.none
            }
        }
    },
    grid: {
        2: {
            label: {
                color: AllStyles.color.gray,
                font: AllStyles.font.monoton,
                text: 'ABC'
            }
        },
        4: {
            dial: {
                border: 'solid black 1px',
                shape: AllStyles.shape.roundedCircle,
                bg: {
                    color: AllStyles.background.faded,
                    pattern: {
                        type: 'burst',
                        opacity: .10
                    }
                }
            },
            index: {
                color: AllStyles.background.inverse,
                nodeCount: AllStyles.index.type.hour
            },
            hands: {
                1: {
                    styles: {
                        color: '#292b2c'
                    }
                }
            }
        },
        6: {
            dial: {
                border: 'solid black 1px',
                shape: AllStyles.shape.roundedCircle,
                bg: {
                    color: AllStyles.background.faded,
                    pattern: {
                        type: 'burst',
                        opacity: .10
                    }
                }
            },
            index: {
                color: AllStyles.background.inverse,
                nodeCount: AllStyles.index.type.hour
            },
            hands: {
                1: {
                    styles: {
                        color: '#292b2c'
                    }
                }
            }
        },
        8: {
            dial: {
                border: 'solid black 1px',
                shape: AllStyles.shape.roundedCircle,
                bg: {
                    color: AllStyles.background.faded,
                    pattern: {
                        type: 'burst',
                        opacity: .10
                    }
                }
            },
            index: {
                color: AllStyles.background.inverse,
                nodeCount: AllStyles.index.type.hour
            },
            hands: {
                1: {
                    type: 'second',
                    styles: {
                        color: '#292b2c'
                    }
                }
            }
        }
    },
    timeZone: 10
}

module.exports = ColorfulChronoSquare;