var AllStyles = require('../AllStyles');

var SmallSeconds = {
    case: {
        shape: AllStyles.shape.roundedCircle,
        bg: AllStyles.background.steel,
    },
    color: AllStyles.color.white,
    dial: {
        shape: AllStyles.shape.roundedCircle,
        bg: {
            color: AllStyles.background.greyFume,
            pattern: {
                type: 'iris',
                shapeCount: 20,
                opacity: .075
            }
        }
    },
    hands: {
        1: {
            type: 'hour',
            styles: {
                border: '1px black solid',
                color: '#94c11c',
                width: '30%',
                margin: '0 20%',
                height: '4px'
            }
        },
        2: {
            type: 'minute',
            styles: {
                color: '#006b94',
                width: '40%',
                margin: '0 10%',
                height: '3px'
            }
        }      
    },
    header: 'Taipei',
    index: {
        color: AllStyles.background.primary,
        nodeCount: AllStyles.index.type.hour,
        customNode: {
            6: {
                display: AllStyles.display.none
            },
            12: {
                display: AllStyles.display.none
            }
        }
    },
    grid: {
        2: {
            label: {
                color: AllStyles.color.grayLighter,
                font: AllStyles.font.tangerine,
                text: 'ABC'
            }
        },
        8: {
            dial: {
                border: 'solid black 1px',
                shape: AllStyles.shape.roundedCircle,
                bg: {
                    color: AllStyles.background.faded,
                    pattern: {
                        type: 'iris',
                        opacity: .10,
                        shapeCount: 25
                    }
                }
            },
            index: {
                color: AllStyles.background.inverse,
                nodeCount: AllStyles.index.type.hour
            },
            hands: {
                1: {
                    type: 'second',
                    styles: {
                        color: '#e3000f'
                    }
                }
            }
        }
    },
    timeZone: 8
}

module.exports = SmallSeconds;